%define upstream_name    Term-ReadLine
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Common interface for various implementations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch

%description
This package is just a front end to some other packages. It's a stub to set
up a common interface to the various ReadLine implementations found on CPAN
(under the 'Term::ReadLine::*' namespace).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Wed Mar 27 2013 jquelin <jquelin> 1.100.0-4.mga3
+ Revision: 405566
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 373286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.100.0-2.mga3
+ Revision: 315583
- perl 5.16.2 rebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 301476
- imported package perl-Term-ReadLine


* Mon Oct 01 2012 cpan2dist 1.10-1mga
- initial mageia release, generated with cpan2dist
